@font-face {
    font-family: "din";
    src: url(img/D-DIN-PRO-400-Regular.otf) format("opentype")
}

:root {
    --font-primary: "din";
    --color-dark: #1b1b1c;
    --color-dark-light: #252525;
    --color-light: #f2f2f2;
    --color-bg-light: #f9f9f9;
    --rojo-aldo-light: #e63946;
    --rojo-aldo: #e21f1d;
    --color-hover: #ccc;
    --font-size-h2: 4rem;
    --font-size-h3: 1.5rem;
    --font-size-p: 1.12rem;
    --font-size-footer: 0.8rem
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box
}

body {
    font-family: var(--font-primary);
    line-height: 1.6;
    margin: 0;
    background-color: var(--color-dark)
}

h2 {
    color: var(--color-light);
    font-size: var(--font-size-h2);
    margin: 1rem 0;
    line-height: 1.1;
    width: 100%;
    text-align: center;
    position: relative
}

h3 {
    color: var(--color-light);
    font-size: var(--font-size-h3);
    margin-bottom: 10px;
    margin-top: 0;
    width: 100%;
    text-align: center
}

p {
    color: var(--color-light)
}

.container {
    max-width: 800px;
    margin: 20px auto;
    background-color: var(--color-light);
    padding: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, .1)
}

.section {
    margin-bottom: 40px
}

.about_ctn {
    padding: 2rem 1rem 3rem
}

@media(min-width: 446px) {
    .about_ctn {
        padding: 2rem 2rem 3rem
    }
}

@media(min-width: 768px) {
    .about_ctn {
        padding: 5rem 3rem
    }
}

@media(min-width: 1240px) {
    .about_ctn {
        padding: 5rem 4rem
    }
}

.about_ctn.about_ctn:nth-child(odd) {
    background-color: #252525
}

.about-text {
    order: 2
}

.about-text-2 {
    display: grid;
    grid-template-rows: 25% 75%;
    justify-content: center;
    justify-items: center
}

h2::before {
    position: absolute;
    bottom: -0.5rem;
    content: "";
    left: 50%;
    transform: translateX(-50%);
    height: 5px;
    width: 25%;
    background-color: var(--rojo-aldo);
    border-radius: 10px
}

.texto-contenedor {
    text-align: start
}

.texto-contenedor p {
    font-size: 1.05rem
}

@media(min-width: 1240px) {
    .texto-contenedor p {
        font-size: 1.25rem
    }
}

.about-img {
    width: 100%
}

.about-img img {
    width: 100%;
    border-radius: 20px;
    max-height: 800px
}

@media(min-width: 768px) {
    .about-img img {
        max-width: 350px
    }
}

@media(min-width: 768px) {
    .about {
        display: grid;
        grid-template-columns: 350px auto;
        column-gap: 4rem;
        justify-content: center;
        align-items: flex-start
    }

    .about.reverse-column {
        grid-template-columns: auto 350px
    }

    .about h2 {
        margin-top: 0
    }

    .about img {
        box-shadow: 0 0 5px 2px rgba(0, 0, 0, .35)
    }

    .texto-contenedor {
        font-size: 1.25rem
    }

    .texto-contenedor p {
        padding-left: 0;
        padding-right: 0
    }

    .about-text {
        padding-top: 0;
        padding-left: 0
    }
}

@media(min-width: 1240px) {
    .about {
        width: 80%
    }
}

.banner {
    position: relative;
    background-color: var(--color-dark);
    color: var(--color-light);
    text-align: center;
    padding: 60px 20px;
    background-image: url(img/bannerPrincipal.png);
    background-size: cover;
    background-position: center;
    height: 30vh
}

.banner-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%
}

.banner-content .logo {
    max-width: 500px;
    width: 90%;
    height: auto;
    transition: all ease-in-out 1.25s
}

.logo-animated {
    transform: translateY(-50px);
    opacity: 0
}

@media(max-width: 768px) {
    .banner-content .logo {
        max-width: 350px
    }
}

.bannerMedio {
    height: 60vh;
    background-image: url(img/banner2.JPG);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    margin-bottom: 10px
}

@media(min-width: 768px) {
    .bannerMedio {
        background-attachment: fixed
    }
}

.localesContainer {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 2rem 0
}

.tituloLocal {
    font-size: 2.5rem;
    color: #000;
    text-align: center;
    width: 100%;
    margin-bottom: 1rem;
    display: flex;
    justify-content: center;
    align-items: center
}

.locales {
    width: 100%;
    background: var(--color-bg-light);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 4rem
}

.localesContainer.restaurantes .carousel {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    padding: 1rem 0
}

.carousel-container {
    width: 100%;
    display: flex;
    justify-content: center;
    overflow-x: auto;
    padding: 1rem 0;
    scroll-behavior: smooth
}

.localesContainer:not(.restaurantes) .carousel {
    display: flex;
    gap: 20px;
    justify-content: flex-start;
    padding: 0 10px
}

.card {
    flex: 0 0 auto;
    width: 150px;
    height: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: hsla(0, 0%, 100%, .3);
    border: 2px solid hsla(0, 0%, 100%, .5);
    border-radius: 15px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, .15);
    transition: all .3s ease;
    backdrop-filter: blur(10px)
}

.card a {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center
}

.card img {
    max-width: 70%;
    height: auto;
    transition: transform .3s ease
}

.card:hover {
    background: hsla(0, 0%, 100%, .5);
    border-color: hsla(0, 0%, 100%, .8);
    transform: scale(1.05);
    box-shadow: 0 6px 10px rgba(0, 0, 0, .2)
}

.card:hover img {
    transform: scale(1.1)
}

@media(max-width: 768px) {
    .carousel-container {
        display: flex;
        overflow-x: auto;
        scroll-behavior: smooth;
        padding: 1rem 0;
        justify-content: center
    }

    .carousel-container::-webkit-scrollbar {
        display: none
    }

    .carousel {
        display: flex;
        gap: 10px;
        justify-content: center
    }

    .tituloLocal {
        font-size: 2rem;
        padding: 0 1rem;
        text-align: center
    }

    .card {
        width: 120px;
        height: 120px;
        border-radius: 10px
    }

    .card img {
        max-width: 65%
    }
}

.item {
    list-style: none;
    padding-bottom: 3rem
}

.item:nth-child(even) {
    background-color: #252525
}

.item .item__logo {
    height: 150px;
    overflow: hidden;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #252525;
    border-radius: 10px
}

.item .item__logo img {
    max-width: 100%;
    height: auto;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    object-fit: contain;
    object-position: center
}

.item .item__logo img.box-150 {
    max-width: 100%;
    height: auto
}

.item .item__logo img.box-200 {
    max-width: 100%;
    height: auto
}

@media(min-width: 400px) {
    .item .item__logo {
        height: 200px
    }
}

@media(min-width: 768px) {
    .item .item__logo {
        height: 250px
    }
}

.item h3 {
    font-size: 24px;
    color: #fff;
    margin: 2rem 0
}

.carouselImages {
    display: flex;
    gap: 1rem;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    padding-bottom: 1.25rem;
    margin-left: 1rem;
    scrollbar-color: var(--rojo-aldo) #333;
    scrollbar-width: thin
}

@media(min-width: 1340px) {
    .carouselImages {
        justify-content: center
    }
}

@media(min-width: 1380px) {
    .carouselImages {
        gap: 2rem
    }
}

@media(min-width: 400px) {
    .carouselImages {
        margin-left: 2rem
    }
}

@media(min-width: 1340px) {
    .carouselImages {
        margin-left: 0rem
    }
}

.carouselImages::-webkit-scrollbar {
    height: 8px
}

.carouselImages::-webkit-scrollbar-thumb {
    background-color: var(--rojo-aldo);
    border-radius: 10px
}

.carouselImages::-webkit-scrollbar-track {
    background: #333
}

.carouselImages img {
    width: 50vw;
    height: auto;
    border-radius: 16px;
    scroll-snap-align: start;
    transition: transform .3s ease
}

@media(min-width: 400px) {
    .carouselImages img {
        width: 35vw
    }
}

@media(min-width: 768px) {
    .carouselImages img {
        width: 250px
    }
}

footer {
    padding: 2rem 0;
    background-color: var(--color-dark-light)
}

@media(min-width: 400px) {
    footer .sites_ctn {
        display: grid;
        grid-template-columns: repeat(2, 1fr)
    }
}

@media(min-width: 592px) {
    footer .sites_ctn {
        grid-template-columns: repeat(3, 1fr)
    }
}

@media(min-width: 768px) {
    footer .sites_ctn {
        grid-template-columns: repeat(4, 1fr)
    }
}

@media(min-width: 1240px) {
    footer .sites_ctn {
        grid-template-columns: repeat(7, 1fr);
        justify-items: center;
        align-content: center
    }
}

footer .sites {
    padding: 2rem
}

footer .sites .title {
    text-align: start;
    text-transform: uppercase;
    font-size: 18px;
    color: var(--rojo-aldo)
}

footer .sites a {
    color: #f2f2f2;
    font-size: 16px;
    text-transform: uppercase;
    text-decoration: none
}

@media(min-width: 340px) {
    footer .sites {
        padding-left: 4rem
    }
}

@media(min-width: 400px) {
    footer .sites {
        padding-left: 2rem
    }
}

footer .byNammu {
    margin-top: 2rem;
    width: 100%;
    padding: .5rem;
    background-color: var(--color-dark)
}

footer .byNammu p {
    width: 100%;
    text-align: center
}

footer .byNammu p a {
    text-decoration: none;
    color: violet
}

.d-flex {
    display: flex
}

.flex-column {
    flex-direction: column
}

.align-items-center {
    align-items: center
}

.justify-content-center {
    justify-content: center
}

.order-2 {
    order: 2
}

.py-3 {
    padding-top: 1rem;
    padding-bottom: 1rem
}

.py-4 {
    padding-top: 1.5rem;
    padding-bottom: 1.5rem
}

@media(min-width: 768px) {
    .py-md-5 {
        padding-top: 3rem;
        padding-bottom: 3rem
    }

    .pb-md-5 {
        padding-bottom: 3rem
    }
}